public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Florian Schmaus" <flow@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-libs/libstatgrab/
Date: Sat, 29 Jul 2023 10:16:23 +0000 (UTC)	[thread overview]
Message-ID: <1690625774.6c4ea64925509c2e0bd47497a86e5b6f68821846.flow@gentoo> (raw)

commit:     6c4ea64925509c2e0bd47497a86e5b6f68821846
Author:     Florian Schmaus <flow <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 29 10:11:39 2023 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Sat Jul 29 10:16:14 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6c4ea649

sys-libs/libstatgrab: add 0.92.1

Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>

 sys-libs/libstatgrab/Manifest                  |  1 +
 sys-libs/libstatgrab/libstatgrab-0.92.1.ebuild | 43 ++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/sys-libs/libstatgrab/Manifest b/sys-libs/libstatgrab/Manifest
index 51c78d111e25..5b68a24ad6cf 100644
--- a/sys-libs/libstatgrab/Manifest
+++ b/sys-libs/libstatgrab/Manifest
@@ -1 +1,2 @@
+DIST libstatgrab-0.92.1.tar.gz 817531 BLAKE2B 5315772da07a9229f7f5d85dc7563333892e2a7293d7b331bd65edbebc08841103e6cf695d8faf25b83135545dda767bfc358517afa866981657dc8205d319be SHA512 e1f14df8abbb044d02b0ecebc23fbe9effaa0bac6738686e661de015564df5a4d872edef6d07fd150db25764b449d47ef54beecbe12c51987a679b07edc53c97
 DIST libstatgrab-0.92.tar.gz 815262 BLAKE2B d8ca538f01d9e0b1d5c459c9c0da6df5b6806e02649d726c3ee8a2f69233a7183df6dda95980a8e6f8b438478ec28f4baa9d623d5372e5e3e28ea4909e905872 SHA512 a99c6be56d930779d0d8f6f81e64e2f31e19423009c39e925b39116a42aa2c6037651992ac2168c43a5c6ecadf3e4a58486ab6148cf96118c429b04fdcf65192

diff --git a/sys-libs/libstatgrab/libstatgrab-0.92.1.ebuild b/sys-libs/libstatgrab/libstatgrab-0.92.1.ebuild
new file mode 100644
index 000000000000..4e5b5e192686
--- /dev/null
+++ b/sys-libs/libstatgrab/libstatgrab-0.92.1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="A tool to provide access to statistics about the system on which it's run"
+HOMEPAGE="https://www.i-scream.org/libstatgrab/"
+SRC_URI="https://www.mirrorservice.org/sites/ftp.i-scream.org/pub/i-scream/libstatgrab/${P}.tar.gz"
+
+LICENSE="|| ( GPL-2 LGPL-2.1 )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~loong ~ppc ~riscv ~x86"
+IUSE="examples test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="sys-libs/ncurses:="
+DEPEND="${RDEPEND}"
+
+DOCS=( ChangeLog PLATFORMS NEWS AUTHORS README )
+
+src_configure() {
+	local myeconfargs=(
+		--disable-setgid-binaries
+		--disable-setuid-binaries
+		--with-ncurses
+		--disable-static
+		$(use_enable test tests)
+	)
+
+	econf "${myeconfargs[@]}"
+}
+
+src_install() {
+	default
+
+	if use examples; then
+		docompress -x /usr/share/doc/${PF}/examples
+		docinto examples
+		dodoc -r examples/*
+	fi
+
+	find "${ED}" -name '*.la' -delete || die
+}


             reply	other threads:[~2023-07-29 10:16 UTC|newest]

Thread overview: 22+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-07-29 10:16 Florian Schmaus [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-18 17:38 [gentoo-commits] repo/gentoo:master commit in: sys-libs/libstatgrab/ Petr Vaněk
2024-09-18 17:38 Petr Vaněk
2023-10-09 18:57 Sam James
2023-10-09  4:53 Sam James
2023-10-09  4:46 Sam James
2023-05-14  1:35 Sam James
2022-04-15 13:14 Arthur Zamarin
2021-07-26  7:40 Yixun Lan
2021-03-26 16:17 Agostino Sarubbo
2021-03-26 15:06 Agostino Sarubbo
2021-03-26 13:40 Agostino Sarubbo
2021-03-01  9:59 Sam James
2021-02-27  1:00 Sam James
2021-02-27  1:00 Sam James
2021-02-27  1:00 Sam James
2021-02-27  1:00 Sam James
2019-09-11 16:21 Michał Górny
2018-05-20 23:26 Aaron Bauman
2018-05-01 22:15 Sergei Trofimovich
2018-03-31 23:41 Aaron Bauman
2017-06-27 17:56 Alexis Ballier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1690625774.6c4ea64925509c2e0bd47497a86e5b6f68821846.flow@gentoo \
    --to=flow@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox